/******************************************************************************
 *
 * A component of the Greenstone digital library software from the New Zealand
 * Digital Library Project at the # University of Waikato, New Zealand.
 * Copyright (C) 2006 New Zealand Digital Library Project
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/
/** @author jmt12, GSDL **/

package org.nzdl.gsdl;

/** Imports */
import org.apache.hadoop.io.Text;
import org.apache.hadoop.io.WritableComparable;
import org.apache.hadoop.io.WritableComparator;

/** @class GSGroupingComparator
 */
public class GSGroupingComparator
  extends WritableComparator
{

  /** @function constructor
   */
  public GSGroupingComparator()
  {
    super(Text.class, true);
  }
  /** constructor **/


  /** @function compare(WritableComparable, WritableComparable)
   */
  @Override
  public int compare(WritableComparable w1, WritableComparable w2)
  {
    String s1 = w1.toString();
    String[] s1_parts = s1.split(" ");
    Text t1 = new Text(s1_parts[0]);
    String s2 = w2.toString();
    String[] s2_parts = s2.split(" ");
    Text t2 = new Text(s2_parts[0]);
    return t1.compareTo(t2);
  }
  /** compare(WritableComparable, WritableComparable) **/

}
/** class GSGroupingComparator **/