/******************************************************************************
 *
 * A component of the Greenstone digital library software from the New Zealand
 * Digital Library Project at the # University of Waikato, New Zealand.
 * Copyright (C) 2006 New Zealand Digital Library Project
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/
/** @author jmt12, GSDL **/
package org.nzdl.gsdl;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Partitioner;

/** @class GSPartitioner
 */
public class GSPartitioner
  extends Partitioner<Text, Text>
{

  /** @function getPartition()
   */
  public int getPartition(Text key, Text value, int num_reduce_tasks)
  {
    int index = 0;
    String key_string = key.toString();
    String[] key_parts = key_string.split(" ");
    String type = key_parts[0];
    if (type.equals("datestamp"))
    {
      index = 1;
    }
    if (type.equals("doc"))
    {
      index = 2;
    }
    if (type.equals("rss"))
    {
      index = 3;
    }
    if (type.equals("src"))
    {
      index = 4;
    }
    return index % num_reduce_tasks;
  }
  /** getPartition(Text, Text, int) **/

}
/** class GSPartitioner **/